package menu;

import javax.microedition.midlet.*;
/**
* This class is a kludge in order to let the PageMgr terminate
* the running midlet when the user requests that we Exit.
* The methods destroyApp and notifyDestroyed methods have 
* protected/package access in MIDlet, and so they
* are not accessible to other arbitrary classes.
*/
public abstract class QuitableMIDlet extends MIDlet {
	/**
	* Call destroyApp, then notifyDestroyed, thereby shutting
	* down this midlet.
	* @throws MIDletStateChangeException thrown if the MIDlet
	* wishes to continue to execute (Not enter the Destroyed state). 
	*/
	public void quitApp() throws MIDletStateChangeException {
		this.destroyApp(true);
		this.notifyDestroyed();
	}
}
